CPU_STARTUP(9)

NAME
cpu_startup - machine-dependent CPU startup

SYNOPSIS
#include <sys/systm.h>
void
cpu_startup(void);

DESCRIPTION
The machine-dependent cpu_startup() is invoked early during system bootstrap, after the console has been set up and immediately after uvm(9) has been initialized.

The following tasks are performed by cpu_startup():

•   print the initial copyright message;

•   allocate memory and buffers for kernel tables; and

•   initialize the CPU.

SEE ALSO
autoconf(9), uvm(9)